WebServiceWrapperComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.component.WebServiceWrapperComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf.component
Class WebServiceWrapperComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.transport.soap.component.AbstractWebServiceWrapperComponent
              org.mule.transport.cxf.component.WebServiceWrapperComponent

All Implemented Interfaces:
  Component, MuleContextAware, Interceptor, Disposable, Initialisable, Lifecycle, Startable, Stoppable

    public class WebServiceWrapperComponent

extends AbstractWebServiceWrapperComponent

Field Summary

Fields inherited from class org.mule.transport.soap.component.AbstractWebServiceWrapperComponent
`address, addressFromMessage, logger, WS_SERVICE_URL`

Fields inherited from class org.mule.component.AbstractComponent
`disposed, disposing, initialised, interceptors, muleContext, notificationHandler, service, started, statistics, stopping`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`WebServiceWrapperComponent()`

Method Summary
`protected MuleMessage` | `doInvoke(MuleEvent event)`
`String` | `getOperation()`
`String` | `getWsdlPort()`
`void` | `setOperation(String operation)`
`void` | `setWsdlPort(String wsdlPort)`

Methods inherited from class org.mule.transport.soap.component.AbstractWebServiceWrapperComponent
`doInitialise, getAddress, isAddressFromMessage, setAddress, setAddressFromMessage`

Methods inherited from class org.mule.component.AbstractComponent
`checkDisposed, createResultMessage, dispose, doDispose, doStart, doStop, fireComponentNotification, getInterceptors, getService, getStatistics, initialise, intercept, invoke, release, setInterceptors, setMuleContext, setService, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebServiceWrapperComponent

    public WebServiceWrapperComponent()

Method Detail

### doInvoke

    protected MuleMessage doInvoke(MuleEvent event)
                            throws Exception

  Specified by:
    `doInvoke` in class `AbstractComponent`
  Throws:
    `Exception`

### getWsdlPort

    public String getWsdlPort()

### setWsdlPort

    public void setWsdlPort(String wsdlPort)

### getOperation

    public String getOperation()

### setOperation

    public void setOperation(String operation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.